All Data Structures Namespaces Files Functions Variables Pages
install.php File Reference

Go to the source code of this file.

## Functions

if(!$action) elseif($action== 'config') elseif($action== 'dbselect') elseif($action== 'environment') elseif($action== 'install') | runquery ($sql)
| result ($result=1, $output=1)
| dir_writeable ($dir)
| dir_clear ($dir)
| random ($length)
| createtable ($sql, $dbcharset)
| setconfig ($string)

## Variables

const | IN_GAME TRUE
const | GAME_ROOT ''
if(PHP_VERSION< '4.3.0') | $action = $_POST['action'] ? $_POST['action'] : $_GET['action']
| $language = $_POST['language'] ? $_POST['language'] : $_GET['language']
| $version = '3.0.0'
if(!in_array($language, array('simplified_chinese_gbk', 'simplified_chinese_utf8', 'traditional_chinese_big5', 'traditional_chinese_utf8', 'english'))) | else {

## Function Documentation

createtable | ( |  | $sql,
|  |  | $dbcharset
| ) |  |

Definition at line 1302 of file install.php.

dir_clear | ( |  | $dir | ) |

Definition at line 1276 of file install.php.

dir_writeable | ( |  | $dir | ) |

Definition at line 1260 of file install.php.

random | ( |  | $length | ) |

Definition at line 1291 of file install.php.

result | ( |  | $result = `1`,
|  |  | $output = `1`
| ) |  |

Definition at line 1242 of file install.php.

if (!$action) elseif ($action== 'config') elseif ($action== 'dbselect') elseif ($action== 'environment') elseif ($action== 'install') runquery | ( |  | $sql | ) |

Definition at line 1213 of file install.php.

setconfig | ( |  | $string | ) |

Definition at line 1309 of file install.php.

## Variable Documentation

if (PHP_VERSION< '4.3.0') $action = $_POST['action'] ? $_POST['action'] : $_GET['action']

Definition at line 14 of file install.php.

$language = $_POST['language'] ? $_POST['language'] : $_GET['language']

Definition at line 15 of file install.php.

$version = '3.0.0'

Definition at line 66 of file install.php.

if (!in_array($language, array('simplified_chinese_gbk', 'simplified_chinese_utf8', 'traditional_chinese_big5', 'traditional_chinese_utf8', 'english'))) else {

Definition at line 112 of file install.php.

const GAME_ROOT ''

Definition at line 8 of file install.php.

const IN_GAME TRUE

Definition at line 7 of file install.php.